%define	version	0.9.0
%define release %mkrel 3

%define major	10
%define libname %mklibname %{name} %{major}

Summary:	Tree oriented XML editor for GNOME
Name:		mlview
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://mlview.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		mlview-0.9.0-gcc411.patch.bz2

BuildRequires:	libgnomeui2-devel >= 2.2.0
BuildRequires:	eel-devel >= 2.2.0
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	libxml2-devel >= 2.4.30
BuildRequires:	libxslt-devel >= 1.0.33
BuildRequires:	libglade2.0-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	gtkmm2.4-devel
BuildRequires:	gtksourceview-devel >= 1.0
BuildRequires:	libglademm-devel >= 2.4.0
BuildRequires:	libvte-devel >= 0.11.12
BuildRequires:	libexpat-devel
BuildRequires:  desktop-file-utils
Requires:	%{libname} = %{version}
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
MlView is a generic XML editor for the GNOME environment.

%package	-n %{libname}
Summary:	Essential library for MLView
Group:		System/Libraries

%description	-n %{libname}
libmlview is the essential library needed by the mlview application.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x 

%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/mlview" \
 icon="editors_section.png" \
 longtitle="Tree oriented XML editor" \
 needs="x11" \
 section="Applications/Editors" \
 title="MlView XML editor" \
 xdg="true"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="TextEditor" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

# remove files not bundled
# "devel" files not useful yet
rm -f %{buildroot}%{_libdir}/lib*.a \
      %{buildroot}%{_libdir}/lib*.la \
      %{buildroot}%{_libdir}/lib*.so \
      %{buildroot}%{_libdir}/mlview/plugins/lib*.a \
      %{buildroot}%{_libdir}/mlview/plugins/lib*.la \
      %{buildroot}%{_libdir}/mlview/plugins/lib*.so

%post
%post_install_gconf_schemas mlview.schemas
%update_menus

%preun
%preun_uninstall_gconf_schemas mlview.schemas

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BRANCHES COPYING ChangeLog NEWS README
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_datadir}/mime-info/*
%{_datadir}/application-registry/*
%{_menudir}/%{name}
%{_libdir}/mlview/plugins/*
%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so*

%changelog
* Sun Jul 02 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.0-3mdv2007.0
- rebuild for libvte
- add buildrequires libglademm-devel >= 2.4.0 libvte-devel >= 0.11.12 libexpat-devel
- new gconf macros
- xdg menu

* Sat May 20 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.0-2mdk
- BuildRequires
- fix for new gcc

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 0.9.0-1mdk
- New release 0.9
- Fix for rpmbuildupdate

* Fri Oct 28 2005 Abel Cheung <deaddog@mandriva.org> 0.8-3mdk
- Prereq -> Requires()
- mkrel

* Fri Oct 28 2005 Abel Cheung <deaddog@mandriva.org> 0.8-2mdk
- Rebuild

* Fri Jul 08 2005 Lenny Cartier <lenny@mandriva.com> 0.8-1mdk
- 0.8

* Tue Nov 09 2004 Jerome Soyer <saispo@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Tue Oct 05 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.6.3-2mdk
- fix BuildRequires

* Tue May 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- New version

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 0.6.1-2mdk
- Merge in dodji's official spec
- BuildRequires fix for 64bit arch

* Sun Nov 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Thu Sep  4 2003 Olivier Blin <oliv.blin@laposte.net> 0.6.0-4mdk
- fix changelog

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-3mdk
- one more attempt

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-2mdk
- rebuild to get back binary rpms

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-1mdk
- 0.6.0 red hot from oven

* Sat Aug 30 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-0.20030831.1mdk
- heading for 0.6 instead (according to author)

* Sun Aug 17 2003 Abel Cheung <deaddog@deaddog.org> 0.5.0-0.20030817.1mdk
- First Mandrake spec
- API doc not built, since the devel stuff is not useful yet
